curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'DPoP: <dpop>' \
--data '
{
"public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"attempt_id": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind"
payload = {
"public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"attempt_id": "<string>"
}
headers = {
"DPoP": "<dpop>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
DPoP: '<dpop>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
public_key: {kty: 'OKP', crv: 'Ed25519', x: '<string>'},
attempt_id: '<string>'
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'public_key' => [
'kty' => 'OKP',
'crv' => 'Ed25519',
'x' => '<string>'
],
'attempt_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"DPoP: <dpop>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind"
payload := strings.NewReader("{\n \"public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"attempt_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("DPoP", "<dpop>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind")
.header("DPoP", "<dpop>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"attempt_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["DPoP"] = '<dpop>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"attempt_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}Propose a host key for a legacy bearer worker
Key bind request of an upgraded kombify Guard that still authenticates with the bearer credential alone (identity_binding=legacy_bearer). The bearer credential authenticates the worker and a proof signed by the new key proves possession, which only shows that the caller holds the bearer, which may be a copy: the key is held as upgrade_pending (202) and binds the server only once the owner approves that exact key (approveWorkerIdentityUpgrade). Until then the worker stays observe-only on its bearer credential: it may heartbeat, report inventory and posture and update itself, but receives no mutating command, no provider control and no managed operation (guard_identity_upgrade_required). Another key while one is pending is refused (409 guard_identity_upgrade_pending, reason other_key_pending). A proposal not approved within 24 hours expires.
curl --request POST \
--url https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'DPoP: <dpop>' \
--data '
{
"public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"attempt_id": "<string>"
}
'import requests
url = "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind"
payload = {
"public_key": {
"kty": "OKP",
"crv": "Ed25519",
"x": "<string>"
},
"attempt_id": "<string>"
}
headers = {
"DPoP": "<dpop>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
DPoP: '<dpop>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
public_key: {kty: 'OKP', crv: 'Ed25519', x: '<string>'},
attempt_id: '<string>'
})
};
fetch('https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'public_key' => [
'kty' => 'OKP',
'crv' => 'Ed25519',
'x' => '<string>'
],
'attempt_id' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"DPoP: <dpop>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind"
payload := strings.NewReader("{\n \"public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"attempt_id\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("DPoP", "<dpop>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind")
.header("DPoP", "<dpop>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"attempt_id\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.kombify.io/v1/techstack/api/v1/workers/{id}/identity/bind")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["DPoP"] = '<dpop>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"public_key\": {\n \"kty\": \"OKP\",\n \"crv\": \"Ed25519\",\n \"x\": \"<string>\"\n },\n \"attempt_id\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"data": "<unknown>",
"meta": {
"total": 123,
"page": 123,
"per_page": 123,
"managed_runtime_inventory_complete": true,
"worker_inventory_sha256": "<string>",
"managed_runtime_active_lease_ids": [
"<string>"
],
"managed_runtime_inactive_lease_ids": [
"<string>"
],
"managed_runtime_lease_generation_digests": [
{
"lease_id": "<string>",
"resource_generation_digest": "<string>"
}
],
"managed_runtime_duplicate_lease_ids": [
"<string>"
],
"managed_runtime_attachment_conflict_lease_ids": [
"<string>"
]
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "<string>",
"details": "<unknown>"
}
}प्राधिकरण
Runtime-agent credential bound to the exact tenant, placement, server, and worker identity. Signed, opaque, and explicit legacy compatibility tokens are validated fail-closed by the worker runtime.
हेडर
पथ पैरामीटर
Resource ID
